Skip to main content
POST
/
sandboxes
/
{sandboxID}
/
snapshots
Create snapshot
curl --request POST \
  --url https://api.e2b.app/sandboxes/{sandboxID}/snapshots \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
import requests

url = "https://api.e2b.app/sandboxes/{sandboxID}/snapshots"

payload = { "name": "<string>" }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>'})
};

fetch('https://api.e2b.app/sandboxes/{sandboxID}/snapshots', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "snapshotID": "<string>",
  "names": [
    "<string>"
  ]
}
{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}
{
  "code": 123,
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

sandboxID
string
required

Body

application/json
name
string

Optional name for the snapshot template. If a snapshot template with this name already exists, a new build will be assigned to the existing template instead of creating a new one.

Response

Snapshot created successfully

snapshotID
string
required

Identifier of the snapshot template including the tag. Uses namespace/alias when a name was provided (e.g. team-slug/my-snapshot:default), otherwise falls back to the raw template ID (e.g. abc123:default).

names
string[]
required

Full names of the snapshot template including team namespace and tag (e.g. team-slug/my-snapshot:v2)